<!-- A declaration that tells the browser that the document is HTML5. -->
<!DOCTYPE HTML>
<!-- Telling the browser that the document is in English. -->
<html lang='en'>
<!-- Importing the css files. -->

<head>
<!-- The title of the page. -->
  <title>Your Cart</title>
<!-- Importing the css file. -->
<!-- importing the cart.css -->
  <link rel='stylesheet' href={{url_for('static', filename='css/cart.css' )}} />
  <!-- importing the topstyle.css -->
  <link rel='stylesheet' href={{url_for('static', filename='css/topStyle.css' ) }} />
</head>

<!-- This is the body of the cart page. It is displaying the items in the cart. -->
<!-- body tag is started from here -->
<body>
  <div id='title'> 
    <!-- This is the logo of the website. -->
    <div id='homeicon'>
      <a href='/' aria-label='webattack app logo'>
        <!-- Logo image of webattack inside anchor tag -->
        <img src={{ url_for( 'static' , filename='uploads/webattack_home.png' ) }} id='logo' alt='WEBATTACK HOME' />
      </a>
    </div> 
    <!-- div tag completes -->
    <!-- This is the search bar. -->
    <!-- Given below is the search form which enables search operations -->
    <form role='searchbox' action="{{ url_for('search_results') }}" method='post'>
      <input id='searchBox' type='text' name='searchQuery' aria-label='Enter search term' />
      <input id='searchButton' type='submit' value='Search' />
    </form>

    {% if not loggedIn %}
    <a class='signInButton' href='/loginForm' aria-label='Sign In Here'>Sign In</a>
    {% else %}
    <!-- This is a dropdown menu. It is used to display the user's name and the options to view the orders
and profile. -->
    <div class='dropdown'>
      <button class='dropbtn'>Hello, <br />{{firstName}}</button>
      <div class='dropdown-content'>
        <!-- link to your orders -->
        <a href='/account/orders'>Your orders</a> 
        <!-- linked to your profiles -->
        <a href='/account/profile'>Your profile</a>
        <hr />
        <!-- link to logout -->
        <a href='/logout' aria-label='Sign Out Here'>Sign Out</a>
      </div>
    </div>
    {% endif %} <!--end of the if statement -->
    <a class='kart' href='/cart'>
      <img src={{url_for('static', filename='images/shoppingCart.png' )}} id='cartIcon' alt='ShoppingCart' /> CART
      {{noOfItems}}
    </a>
  </div>
  <!-- This is the code for the cart page. It is displaying the items in the cart. -->
  <div id='cartItems'>
    <!-- h1 tag for shopping cart -->
    <h1>Shopping Cart</h1>
    <div id='tableItems'>
      <!-- for loop in products -->
      {% for row in products %}
      <div>
        <hr id='seperator' />
        <div id='itemImage'>
          <!-- shopping cart images -->
          <img src={{url_for('static', filename='uploads/' +row[3])}} id='image' alt='ShoppingCart Image' />
        </div>
        <div id='itemName'>
          <!-- in stock products or not  -->
          <span id='itemNameTag'>{{row[1]}}</span><br />
          In stock<br />
          <a href='/removeFromCart?productId={{row[0]}}'>Remove</a>
        </div>
        <!-- item prices  -->
        <div id='itemPrice'>Rs {{row[2]}}</div>
      </div>
      <!-- end of the for loop -->
      {% endfor %}
      <hr id='seperator' />
      <div id='total'>
        <!-- subtotal price -->
        <span id='subtotal'>Subtotal</span> : Rs {{totalPrice}}
      </div>
    </div>
  </div>
  <!-- A link to the checkout page. -->
  <a href='/checkout'>Proceed to checkout</a>
  <!-- This is the code for the chatbot. -->
  <!-- This is a script that is used to display the chat box on the website. -->
  <script src={{ url_for('static', filename='js/utility.js' ) }}></script>
</body>

</html>